## listlike 1.0.1.2

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

PROJECT := ListLike
GHCPARAMS := -fglasgow-exts

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.hs $(PROJECT).cabal
	ghc -package Cabal Setup.hs -o setup

doctmp/%.hs: %.lhs doctmp
	mkdir -p `dirname $@`
	$(UNLIT) $< $@

doctmp:
	mkdir doctmp

.PHONY: doc
doc: $(LHSCONVSOURCES) setup
	-rm -rf html
	./setup configure
	./setup haddock
#	haddock $(HADDOCKARGS) --package=$(PROJECT) \
#	   --dump-interface=html/$(PROJECT).haddock \
#	   -t '$(PROJECT) API Manual' -h -o html $(HUGSCONVSOURCES) $(LHSCONVSOURCES)
	mv dist/doc/html .

.PHONY: hugsbuild


clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/*

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc -cpp --make -package HUnit -package QuickCheck -package mtl $(GHCPARAMS) -fallow-undecidable-instances -fallow-overlapping-instances -o runtests  -i../dist/build:../src runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-ghc: test-ghc6

test-hugs: 
	runhugs -98 +o -h90M -P$(PWD)/src:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6 test-hugs

## listlike 1.0.1.1

=== debian/changelog ===
listlike (1.0.1.1) unstable; urgency=low

  * Correct libhugs-listlike to be arch: all.
    Closes: #443748.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 30 Jan 2008 01:27:29 -0600

listlike (1.0.1.0) unstable; urgency=low

  * Update for GHC 6.8.x.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jan 2008 10:17:41 -0600

listlike (1.0.0.1) unstable; urgency=low

  * Added Debian build-deps on HUnit and QuickCheck.  Closes: #444548.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 22 Oct 2007 09:20:50 -0500

listlike (1.0.0) unstable; urgency=low

  * Initial release.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 17 Sep 2007 13:13:14 -0500

=== debian/control ===
Source: listlike
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.6), cpphs, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.6), ghc6 (>= 6.8), cpphs, hugs, libhugs-mtl
Standards-Version: 3.6.2
Section: devel

Package: libghc6-listlike-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-mtl-dev
Suggests: listlike-doc
Description: Generic support for list-like structures in Haskell, GHC
 The ListLike module provides a common interface to the various Haskell
 types that are "list-like".  Predefined interfaces include standard
 Haskell lists, Arrays, ByteStrings, and lazy ByteStrings.  Custom
 types can easily be made ListLike instances as well.
 .
 ListLike also provides for String-like types, such as String and
 ByteString, for types that support I/O, and for types that can handle
 infinite lists.

Package: libhugs-listlike
Section: devel
Architecture: all
Depends: ${haskell:Depends}, libhugs-mtl
Suggests: listlike-doc
Description: Generic support for list-like structures in Haskell, Hugs
 The ListLike module provides a common interface to the various Haskell
 types that are "list-like".  Predefined interfaces include standard
 Haskell lists, Arrays, ByteStrings, and lazy ByteStrings.  Custom
 types can easily be made ListLike instances as well.
 .
 ListLike also provides for String-like types, such as String and
 ByteString, for types that support I/O, and for types that can handle
 infinite lists.

Package: listlike-doc
Section: doc
Architecture: all
Description: Generic support for list-like structures in Haskell, Documentation
 The ListLike module provides a common interface to the various Haskell
 types that are "list-like".  Predefined interfaces include standard
 Haskell lists, Arrays, ByteStrings, and lazy ByteStrings.  Custom
 types can easily be made ListLike instances as well.
 .
 ListLike also provides for String-like types, such as String and
 ByteString, for types that support I/O, and for types that can handle
 infinite lists.

## listlike 1.0.1.2

=== debian/changelog ===
listlike (1.0.1.2) unstable; urgency=high

  * Rebuild for new GHC.  High urgency to allow ghc to go to testing.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 10:15:39 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: listlike
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.6), cpphs, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.6), ghc6 (>= 6.8), cpphs, hugs, libhugs-mtl
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1-1), haskell-devscripts (>= 0.6.15), cpphs, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.15), ghc6 (>= 6.8.2dfsg1-1), cpphs, hugs, libhugs-mtl
 Standards-Version: 3.6.2
 Section: devel
+Vcs-Git: git://git.complete.org/listlike
+Vcs-browser: http://git.complete.org/listlike
+Homepage: http://software.complete.org/listlike
 
 Package: libghc6-listlike-dev
 Section: devel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make setup
	./setup configure --prefix=$(LIBPATH) --ghc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	#make test-ghc6
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./setup clean
	-make clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	# Add here commands to install the package into debian/tmp
	dh_haskell -a
	make test-ghc6

builddocs: builddocs-stamp
builddocs-stamp:
	dh_testdir

	make doc

installdocs: builddocs
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	dh_haskell -i
	#make test-hugs  disabled due to hugs disable

# Build architecture-independent files here.
binary-indep: builddocs installdocs
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
